Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 342309 - Stabilize net-analyzer/bigeye-0.3-r3 (Was:net-analyzer/bigeye _FORTIFY_SOURCE indicates presence of overflow)
Summary: Stabilize net-analyzer/bigeye-0.3-r3 (Was:net-analyzer/bigeye _FORTIFY_SOURCE...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: fortify-source
  Show dependency tree
 
Reported: 2010-10-23 13:15 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2012-10-09 18:54 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (bigeye-0.3-r2:20101022-174628.log,2.92 KB, text/plain)
2010-10-23 13:16 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-10-23 13:15:49 UTC
You're receiving this bug because the package in Summary has produced _FORTIFY_SOURCE related warnings indicating the presence of a sure overflow in a static buffer.

Even though this is not always an indication of a security problem it might even be. So please check this out ASAP.

By the way, _FORTIFY_SOURCE is disabled when you disable optimisation, so don't try finding out the cause using -O0.

Thanks,
Your friendly neighborhood tinderboxer
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-10-23 13:16:01 UTC
Created attachment 251693 [details]
Build log
Comment 2 Jeroen Roovers gentoo-dev 2011-08-01 01:41:53 UTC
Fixed in -r3. Is this like a regular security bug now, where we want to go stable as soon as possible?
Comment 3 Pacho Ramos gentoo-dev 2012-03-19 12:10:28 UTC
(In reply to comment #2)
> Fixed in -r3. Is this like a regular security bug now, where we want to go
> stable as soon as possible?
Comment 4 Myckel Habets archtester 2012-03-19 20:00:27 UTC
Builds and runs fine on x86. Please mark stable for x86.
Comment 5 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2012-03-20 08:04:56 UTC
x86: ok
Comment 6 Thomas Kahle (RETIRED) gentoo-dev 2012-03-21 15:25:48 UTC
x86 stable. Thanks Myckel and Mikle.  Last Arch -> Closing. (no amd64 stable version??)
Comment 7 Sergey Popov gentoo-dev Security 2012-10-09 08:25:45 UTC
(In reply to comment #6)
> x86 stable. Thanks Myckel and Mikle.  Last Arch -> Closing. (no amd64 stable
> version??)

Let's do stabilization on amd64 too
Comment 8 Vicente Olivert Riera (RETIRED) gentoo-dev 2012-10-09 13:40:12 UTC
amd64: ok
Comment 9 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2012-10-09 13:41:12 UTC
amd64: ok
Comment 10 Agostino Sarubbo gentoo-dev 2012-10-09 18:54:16 UTC
amd64 stable. Last arch, closing